javax.xml.stream

## Interface XMLStreamConstants

All Known Subinterfaces:
  Attribute, Characters, Comment, DTD, EndDocument, EndElement, EntityDeclaration, EntityReference, Namespace, NotationDeclaration, ProcessingInstruction, StartDocument, StartElement, XMLEvent, XMLStreamReader

All Known Implementing Classes:
  StreamReaderDelegate

    public interface XMLStreamConstants

### Field Summary

Fields
`static int` `ATTRIBUTE`
`static int` `CDATA`
`static int` `CHARACTERS`
`static int` `COMMENT`
`static int` `DTD`
`static int` `END_DOCUMENT`
`static int` `END_ELEMENT`
`static int` `ENTITY_DECLARATION`
`static int` `ENTITY_REFERENCE`
`static int` `NAMESPACE`
`static int` `NOTATION_DECLARATION`
`static int` `PROCESSING_INSTRUCTION`
`static int` `SPACE`
`static int` `START_DOCUMENT`
`static int` `START_ELEMENT`

### Field Detail

#### START_ELEMENT

    static final int START_ELEMENT

See Also:
  Constant Field Values

#### END_ELEMENT

    static final int END_ELEMENT

See Also:
  Constant Field Values

#### PROCESSING_INSTRUCTION

    static final int PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

#### CHARACTERS

    static final int CHARACTERS

See Also:
  Constant Field Values

#### COMMENT

    static final int COMMENT

See Also:
  Constant Field Values

#### SPACE

    static final int SPACE

See Also:
  Constant Field Values

#### START_DOCUMENT

    static final int START_DOCUMENT

See Also:
  Constant Field Values

#### END_DOCUMENT

    static final int END_DOCUMENT

See Also:
  Constant Field Values

#### ENTITY_REFERENCE

    static final int ENTITY_REFERENCE

See Also:
  Constant Field Values

#### ATTRIBUTE

    static final int ATTRIBUTE

See Also:
  Constant Field Values

#### DTD

    static final int DTD

See Also:
  Constant Field Values

#### CDATA

    static final int CDATA

See Also:
  Constant Field Values

#### NAMESPACE

    static final int NAMESPACE

See Also:
  Constant Field Values

#### NOTATION_DECLARATION

    static final int NOTATION_DECLARATION

See Also:
  Constant Field Values

#### ENTITY_DECLARATION

    static final int ENTITY_DECLARATION

See Also:
  Constant Field Values